Package io.dapr.v1

# Interface DaprProtos.ExecuteActorStateTransactionRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.ExecuteActorStateTransactionRequest`, `DaprProtos.ExecuteActorStateTransactionRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.ExecuteActorStateTransactionRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getActorId()`
`string actor_id = 2 [json_name = "actorId"];`
`com.google.protobuf.ByteString`
`getActorIdBytes()`
`string actor_id = 2 [json_name = "actorId"];`
`String`
`getActorType()`
`string actor_type = 1 [json_name = "actorType"];`
`com.google.protobuf.ByteString`
`getActorTypeBytes()`
`string actor_type = 1 [json_name = "actorType"];`
`DaprProtos.TransactionalActorStateOperation`
`getOperations(int index)`
`repeated .dapr.proto.runtime.v1.TransactionalActorStateOperation operations = 3;`
`int`
`getOperationsCount()`
`repeated .dapr.proto.runtime.v1.TransactionalActorStateOperation operations = 3;`
`List<DaprProtos.TransactionalActorStateOperation>`
`getOperationsList()`
`repeated .dapr.proto.runtime.v1.TransactionalActorStateOperation operations = 3;`
`DaprProtos.TransactionalActorStateOperationOrBuilder`
`getOperationsOrBuilder(int index)`
`repeated .dapr.proto.runtime.v1.TransactionalActorStateOperation operations = 3;`
`List<? extends DaprProtos.TransactionalActorStateOperationOrBuilder>`
`getOperationsOrBuilderList()`
`repeated .dapr.proto.runtime.v1.TransactionalActorStateOperation operations = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getActorType

String getActorType()
`string actor_type = 1 [json_name = "actorType"];`

Returns:
  The actorType.

### getActorTypeBytes

com.google.protobuf.ByteString getActorTypeBytes()
`string actor_type = 1 [json_name = "actorType"];`

Returns:
  The bytes for actorType.

### getActorId

String getActorId()
`string actor_id = 2 [json_name = "actorId"];`

Returns:
  The actorId.

### getActorIdBytes

com.google.protobuf.ByteString getActorIdBytes()
`string actor_id = 2 [json_name = "actorId"];`

Returns:
  The bytes for actorId.

### getOperationsList

List<DaprProtos.TransactionalActorStateOperation> getOperationsList()
`repeated .dapr.proto.runtime.v1.TransactionalActorStateOperation operations = 3;`

### getOperations

DaprProtos.TransactionalActorStateOperation getOperations(int index)
`repeated .dapr.proto.runtime.v1.TransactionalActorStateOperation operations = 3;`

### getOperationsCount

int getOperationsCount()
`repeated .dapr.proto.runtime.v1.TransactionalActorStateOperation operations = 3;`

### getOperationsOrBuilderList

List<? extends DaprProtos.TransactionalActorStateOperationOrBuilder> getOperationsOrBuilderList()
`repeated .dapr.proto.runtime.v1.TransactionalActorStateOperation operations = 3;`

### getOperationsOrBuilder

DaprProtos.TransactionalActorStateOperationOrBuilder getOperationsOrBuilder(int index)
`repeated .dapr.proto.runtime.v1.TransactionalActorStateOperation operations = 3;`